gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2005-000291

PostgreSQL の tsearch2 モジュールにおけるサービス運用妨害 (DoS) の脆弱性

2.1
2007/04/01 00:00
CVE-2005-1410

JVNDB-2005-000291

PostgreSQL の tsearch2 モジュールにおけるサービス運用妨害 (DoS) の脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ PostgreSQL では、EUC や Unicode などのマルチバイト文字を含む、多くの文字セットをサポートしており、サーバ側では異なる文字セットを使用する複数のデータベースを持つことができます。PostgreSQL 7.4 以降には、全文検索機能を追加する拡張モジュールとして Tsearch2 が同梱されています。 PostgreSQL には、以下の複数のセキュリティ上の問題が存在します。 1) PostgreSQL 7.3.x/7.4.x/8.0.x に実装されている文字セット変換の際に使用される特定の関数には、引数に対する妥当性の確認が適切に行われていない問題が存在します。(CAN-2005-1409) この問題を利用するローカルの攻撃者は、意図的に作成した SQL コマンドを実行することにより、不正に権限を昇格させて任意のコードを実行する可能性があります。 2) Tsearch2 には、internal 型の引数を持たない特定の関数において、戻り値のデータ型が internal 型として宣言されているために、PostgreSQL プロセスがクラッシュしてしまう問題が存在します。(CAN-2005-1410) この問題を利用するローカルの攻撃者は、意図的に作成した SQL コマンドを作成して実行することにより、Tsearch2 を使用する PostgreSQL プロセスをサービス不能状態に陥らせる可能性があります。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2005-000291は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度2.1N/A
CVECVE-2005-1410
公表日2005/05/02 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。